[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TContainedObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for contained objects

## Declaration

Source position: objpash.inc line 311

`type TContainedObject = class(TAggregatedObject, IInterface)`
`end;`

## Inheritance

`TContainedObject,IInterface` |  | Base class for contained objects
`TAggregatedObject` |  | Aggregated object
`TObject` |  | Base class of all classes.

## Description

TContainedObject is the base class for contained objects, i.e. objects that do not implement a reference counting mechanism themselves, but are owned by some other object which handles the reference counting mechanism. It implements the IUnknown interface and, more specifically, the QueryInterface method of IUnknown.

## See also

IInterface |  | Basic interface for all COM based interfaces

Documentation generated on: Feb 26 2014